#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF0,0x39,0x59,0xDE,0x04,0xF2,0xD3,0x07,0xCF,0xCF,0xE7,0x92,
		0xF5,0x44,0xA1,0xD1,0xC8,0x9D,0xCC,0x8E,0x2E,0x48,0x2A,0xCB,
		0x2E,0xF7,0x95,0x27,0x88,0x10,0xA8,0x97,0xA7,0x42,0x9B,0xD7,
		0x4A,0x19,0x84,0x29,0x2A,0xA4,0xD7,0x12,0x18,0x6B,0xE3,0x09,
		0x43,0x4F,0x5C,0x1A,0x57,0x2D,0x81,0x36,0x42,0xD3,0xBA,0xE3,
		0x10,0xA9,0xB9,0xB3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
